<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-settings-overview.qdoc -->
  <title>Configuring Projects | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Configuring Projects</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-vcs-subversion.html" />
  <link rel="next" href="creator-targets.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-vcs-subversion.html">Using Subversion</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-targets.html">Adding Kits</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#activating-kits-for-a-project">Activating Kits for a Project</a></li>
<li class="level1"><a href="#specifying-settings">Specifying Settings</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Configuring Projects</h1>
<span class="subtitle"></span>
<!-- $$$creator-configuring-projects.html-description -->
<div class="descr"> <a name="details"></a>
<p>When you install Qt for a target platform, such as Android or QNX, the build and run settings for the development targets might be set up automatically in Qt Creator.</p>
<p>When you open a project for the first time, the <b>Configure Projects</b> view is displayed to let you select a set of <a href="creator-glossary.html#glossary-buildandrun-kit">kits</a> that you want to use to build and run your project. At least one kit must be active for you to be able to build and run the project. For more information about selecting the initial kit, see <a href="creator-project-opening.html">Opening Projects</a>.</p>
<p>To maintain the list of active kits for a currently open project, switch to the <b>Projects</b> mode by pressing <b>Ctrl+5</b>.</p>
<a name="activating-kits-for-a-project"></a>
<h2 id="activating-kits-for-a-project">Activating Kits for a Project</h2>
<p>All kits compatible with your project are listed in the <b>Build &amp; Run</b> section of the sidebar. To activate one or more disabled kits, click them.</p>
<p class="centerAlign"><img src="images/qtcreator-project-kits.png" alt="" /></p><p>The list displays kits that are configured in <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>. If the kit configuration is not suitable for the project type, warning and error icons are displayed. To view the warning and error messages, move the mouse pointer over the kit name.</p>
<p>To modify kit configuration or to add kits to the list, select <b>Manage Kits</b>. For more information about managing kits, see <a href="creator-targets.html">Adding Kits</a>.</p>
<p>Each kit consists of a set of values that define one environment, such as a <a href="creator-glossary.html#glossary-device">device</a>, compiler, and Qt version. For more information, see <a href="creator-project-qmake.html">Adding Qt Versions</a>, <a href="creator-tool-chains.html">Adding Compilers</a>, and <a href="creator-debuggers.html">Adding Debuggers</a>.</p>
<p>To copy the build and run settings for a kit to another kit, select <b>Copy Steps from Other Kit</b> in the context menu.</p>
<p>To deactivate a kit, select <b>Disable Kit for Project</b> in the context menu.</p>
<p><b>Note: </b>Deactivating a kit removes all custom build and run settings for the kit.</p><p>To import an existing build for the project, select <b>Import Existing Build</b>.</p>
<a name="specifying-settings"></a>
<h2 id="specifying-settings">Specifying Settings</h2>
<p>To specify build or run settings for a kit, select <b>Build</b> or <b>Run</b> below the kit. For more information, see <a href="creator-build-settings.html">Specifying Build Settings</a> and <a href="creator-run-settings.html">Specifying Run Settings</a>.</p>
<p>In addition, you can modify the following global settings for each project:</p>
<ul>
<li><a href="creator-editor-settings.html">Editor</a></li>
<li><a href="creator-code-style-settings.html">Code Style</a></li>
<li><a href="creator-build-dependencies.html">Dependencies</a></li>
<li><a href="creator-clang-codemodel.html">Clang Code Model</a></li>
<li><a href="creator-clang-tools.html">Clang Tools</a></li>
<li><a href="creator-output-panes.html#to-do-entries">To-Do</a> (experimental)</li>
</ul>
<p>If you have multiple projects open in Qt Creator, select the project to configure in the list of projects.</p>
</div>
<!-- @@@creator-configuring-projects.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-vcs-subversion.html">Using Subversion</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-targets.html">Adding Kits</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
